imagej (1.51p+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream release

  [ Carnë Draug ]
  * Two new packages named libij-java and libij-java-doc have been
    created.  The libij-java packages has the ij.jar artifact and the
    maven pom.xml as distributed by the ImageJA project.  The
    libij-java-doc package has the corresponding javadocs.  This enables
    the packaging of ImageJ plugins that make use of maven and other
    programs and libraries that are dependent on ij.jar.
  * Added ImageJ to the Education and ImageProcessing category on the
    desktop file.
  * Install the upstream changelog file, the release-notes file, as
    the changelog file instead of just another file in docs.
  * Do not install IJ_Props.txt as docs.  This file is included in ij.jar
    and configures the ImageJ menu.
  * Simplify installation of the imagej wrapper script by making use of
    d/install only.
  * The MacAdapter.class and MacClipboard.class files have been removed
    from both ij.jar and the plugins directory.  These are MacOS specific
    plugins that were distributed in compiled from upstream.  While
    upstream also distributes the corresponding source, their dependencies
    are not free software and MacOS specific.
  * The ImageJ macros have been removed from the macros directory since
    they already are in the ij.jar file.
  * The pixmap file microscope.xpm has been removed and replaced with an
    higher quality icon in the hicolor icon theme directory, the same as
    the upstream binary distribution.
  * Removed the base64 encoded HiLo and RedHot luts.  Encoded as they
    were, they are not picked up by ImageJ.  They are not part of the
    ImageJ source releases, although they are present, together with many
    others, in the binary releases.
  * Replaced dependency on openjdk-7 with a virtual package for a
    java-runtime.  This is part of Debian Java policy and gives the choice
    of using an alternative runtime.
  * The macros, plugins, and luts directories in the imagej directory are
    empty and so no longer created.

 -- Carnë Draug <carandraug+dev@gmail.com>  Sat, 09 Sep 2017 01:19:43 +0100

imagej (1.51i+dfsg-2) unstable; urgency=medium

  * Allow maximum memory usage (Thanks for the patch to Jonas D)
    Closes: #859398

 -- Andreas Tille <tille@debian.org>  Wed, 05 Apr 2017 14:54:57 +0200

imagej (1.51i+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 25 Dec 2016 09:07:15 +0100

imagej (1.50i+dfsg-1) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Use new uscan options in d/watch
  * Spelling error in debian/README.Debian
  * Remove menu file
  * Fix wrapper script (thanks for the patch to Kai Wohlfahrt
    <kai.scorpio@gmail.com>)
    Closes: #820097

 -- Andreas Tille <tille@debian.org>  Thu, 07 Apr 2016 14:57:24 +0200

imagej (1.50d+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 18:32:53 +0100

imagej (1.49i+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 24 Oct 2014 22:15:01 +0200

imagej (1.49c+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove get-orig-source in favour of Files-Excluded

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jul 2014 14:42:24 +0200

imagej (1.48s+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/imagej.sh: Only regard openjdk versions
    Closes: #740439
  * drop aREADME.txt from doc

 -- Andreas Tille <tille@debian.org>  Wed, 12 Mar 2014 13:51:41 +0100

imagej (1.48k+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/imagej.sh: Make sure we are using latest JVM version
    Closes: #732222
  * Standards-Version: 3.9.5 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2013 09:12:23 +0100

imagej (1.48e+dfsg-1) unstable; urgency=low

  * New upstream version
  * debian/copyright:
     - DEP5
     - Add Files-Excluded to document what was removed from original source
  * debian/imagej.sh: Do not bloat our mailing list with mails
  * debian/get-orig-source: Use enhanced uscan if available
  * debian/watch: mangle +dfsg in version number
  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs URLs

 -- Andreas Tille <tille@debian.org>  Fri, 25 Oct 2013 15:02:25 +0200

imagej (1.47a-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: Better handling when called via watch file
  * debian/watch: call get-orig-source
  * debian/upstream: citations
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Apply patch by James Page <james.page@ubuntu.com> to ease Java
       transition (thanks to James)
       Closes: #683539
  * debhelper 9 (control+compat)
  * debian/rules: prevent dh_auto_build from trying to run the program
    which would end up in a failure because of a lack of a valid display
  * debian/get-orig-source: Use xz compression

 -- Andreas Tille <tille@debian.org>  Thu, 02 Aug 2012 15:37:48 +0200

imagej (1.46a-1) unstable; urgency=low

  * New upstream version
  * Set may-mem variable (Thanks for the patch to Witold Baryluk
    <baryluk@smp.if.uj.edu.pl>)
    Closes: #649119
  * debian/copyright: DEP5 changes

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2011 09:38:02 +0100

imagej (1.45k-1) unstable; urgency=low

  * New upstream version
    debian/patches/600997.patch was applied - so remove this patch
  * Add sun-java6-jre as alternative Depends to openjdk6-jre.  It is not
    a good idea to follow the suggestion of the bug reporter to enable
    java6-runtime because other packages which are providing this virtual
    package are known to fail running imagej
    Closes: #633965
  * Debian/control: Fixed Vcs fields
  * debian/copyright: Format: http://dep.debian.net/deps/dep5

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2011 14:43:06 +0200

imagej (1.45e-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2011 15:22:04 +0200

imagej (1.44n-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: Fetch latest upstream version rather
    than currently packaged upstream tarball
  * debian/rules: dh $@ --with javahelper
  * debian/control: Build-Depends: javahelper

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jan 2011 17:07:07 +0100

imagej (1.44i-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #601020).
    - Solves a bug that prevented to quit (Closes: #600997, LP: 661545).
  * Stabilized gzipped tarball's MD5 sum in ‘debian/get-orig-source’.
  * New upstream URL (debian/control, debian/copyright, debian/get-orig-source,
    debian/imagej.1, debian/imagej.sh, debian/watch). 
  * Removed build-dependancy on gif2png (debian/control).
  * debian/600997.patch and debian/exclude-quilt-from-ant.patch taken
    frome the testing branch (see below).

 -- Charles Plessy <plessy@debian.org>  Sun, 31 Oct 2010 13:46:19 +0900

imagej (1.44c-3) testing; urgency=low

  * Team upload, see <https://bugs.debian.org/600997>.
  * debian/600997.patch: patch to allow to close ImageJ after modifying an
    image (thanks to Frédéric Mothe).
  * debian/exclude-quilt-from-ant.patch: excludes the .pc directory,
    otherwise the package fails to build. Thanks to Miguel Landaeta.

 -- Charles Plessy <plessy@debian.org>  Thu, 28 Oct 2010 23:35:59 +0900

imagej (1.44e-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Aug 2010 09:14:17 +0200

imagej (1.44c-2) unstable; urgency=low

  * Drop java2-runtime as alternative dependency
    Closes: #588445
  * Standards-Version: 3.9.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Jul 2010 16:36:56 +0200

imagej (1.44c-1) unstable; urgency=low

  * New upstream version
  * Using dpkg source format version ‘3.0 (quilt)’ (debian/source/format)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Jun 2010 13:46:07 +0200

imagej (1.43r-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Mar 2010 13:27:40 +0100

imagej (1.43l-1) unstable; urgency=low

  * New upstream version
  * Depend from OpenJdk instead of java-gcj-compat because the application
    crashes if OpenJdk is not installed
    Closes: #558222
    Considering the fact that the workaround of #532498 seems to be solved
    as well in case openjdk-6-jre which contains the file
    /usr/lib/jvm/java-6-openjdk/jre/lib/ext/libjava-access-bridge-jni.so
    I think this also
    Closes: #532498

 -- Andreas Tille <tille@debian.org>  Tue, 01 Dec 2009 19:24:37 +0100

imagej (1.43k-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - s/Debian-Med/Debian Med/
    - dropped cdbs depencency
  * debian/rules: rewritten, drastically simplified using dh

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2009 11:21:32 +0100

imagej (1.43g-1) unstable; urgency=low

  * New upstream version
  * Fix regression of previos upload which again
    Closes: #505315

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2009 08:15:46 +0200

imagej (1.43e-1) unstable; urgency=low

  * New upstream version
  * debian/control
    - Depends ${java:Depends}
    - Depends java-gcj-compat instead of gij
    - Suggests: java-virtual-machine
  * debian/imagej.sh: set jni=-Djava.library.path
    only if directory /usr/share/imagej/jni/ really exists
  * debhelper 7
  * Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 19 Aug 2009 13:29:22 +0200

imagej (1.43b-1) unstable; urgency=low

  * New upstream version
    Closes: #532073
  * Standards-Version: 3.8.2 (no changes needed)
  * Use dirname/readlink /usr/bin/java instead upf update-alternatives
    to obtain JVM (Thanks to "Onkar Shinde" <onkarshinde@gmail.com>)
    Closes: #505315
  * debian/imagej.sh: Improved imagej wrapper script by Johan Henriksson
    <mahogny@maia.areta.org>: It allows dependent packages to add
    JNI-paths. this is a critical update as an important package
    (micromanager-ij) depends on it.
    Closes: #507824
  * debian/imagej.sh: set address to report bugs to to
    debian-med-packaging
  * debian/get-orig-source: less noisy
  * debian/patches/20_jpegwriter.patch: Fix Jpeg library issue to
    enable build with OpenJDK (Thanks to Johan Henriksson
    <mahogny@maia.areta.org>)
  * Patches applied upstream, removed quilt dependency

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jun 2009 08:17:14 +0200

imagej (1.41n-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream release
    Closes: #496802
  * Group maintenance according to Debian-Med group policy
  * Added myself as Uploader
  * VCS fields
  * Added Homepage to debian/control
  * Added watch file
  * Added get-orig-source
  * Moved extra image files into debian directory to keep all additions
    there and install them via debian/install file instead of copying
    in debian/rules
  * Machine readable copyright file
  * Do the copying work in debian/install instead of debian/rules
  * debian/manpages
  * Build-Depends: s/ecj/openjdk-6-jdk/
    which finally makes imagej fit for Debian main because no non-free
    components are needed any more
  * debian/compat: 5
  * debian/rules: Excluded sun java from JAVA_HOME to make sure imagej
    can go to main
  * Standards-Version: 3.8.0 (no changes needed)
  * Added versioned Build-Depends debhelper (>= 5)

  [ Charles Plessy ]
  * Added a FreeDesktopt menu entry.

  [ Paolo Ariano ]
  * A lot of correction to the run script, thanks to Jonathan (closes: #496798).
  * The socket-lock directory is now /tmp/imagej

  [ Andreas Tille ]
  * 

 -- Andreas Tille <tille@debian.org>  Tue, 23 Sep 2008 12:04:34 +0200

imagej (1.40a-1) unstable; urgency=high

  * New Upstream Release.

  * imagej.sh script doesn't symlink existent macros.

  * imagej.sh script correctly symlink names with spaces.

  * imagej.sh doesn't print redundant usage message.

  * added again $HOME/.imagej/luts (closes: #470797).

  * Thanks to Andre Lehovich (closes: #470810).

 -- Paolo Ariano <paolo.ariano@unito.it>  Fri, 28 Mar 2008 13:41:34 +0100

imagej (1.39q-2) unstable; urgency=high

  * New imagej.sh wrapper (closes: #468173).  

  * New man page.

 -- Paolo Ariano <paolo.ariano@unito.it>  Fri, 06 Mar 2008 15:29:56 +0100

imagej (1.39q-1) unstable; urgency=low

  * New Upstream Release.  

  * Symlinks in $HOME/.imagej/macro are ready, (closes: #447594).

 -- Paolo Ariano <paolo.ariano@unito.it>  Fri, 08 Feb 2008 11:29:56 +0100

imagej (1.39b-5) unstable; urgency=high

  * New sections graphics.

 -- Paolo Ariano <paolo.ariano@unito.it>  Wed, 26 Sep 2007 13:02:02 +0200

imagej (1.39b-4) unstable; urgency=high

  * New man page.

 -- Paolo Ariano <paolo.ariano@unito.it>  Wed, 26 Sep 2007 12:02:02 +0200

imagej (1.39b-3) unstable; urgency=high

  * You can pass extra arguments to java, such as amount of memory.

 -- Paolo Ariano <paolo.ariano@unito.it>  Tue, 25 Sep 2007 16:24:02 +0200

imagej (1.39b-2) unstable; urgency=high

  * New startup script (Closes: #439247).

  * Deleted Disclaimer from Copyright (Closes: #439627).

  * Filled a man page (Closes: #439252). 

 -- Paolo Ariano <paolo.ariano@unito.it>  Tue, 25 Sep 2007 15:24:02 +0200

imagej (1.39b-1) unstable; urgency=low

  * New Upstream Release.

 -- Paolo Ariano <paolo.ariano@unito.it>  Thu, 02 Aug 2007 16:09:06 +0200

imagej (1.37m-5) unstable; urgency=low

  * Changhed path for /usr/sbin/update-java-alternatives in imagej.sh (thanks fog).

 -- Paolo Ariano <paolo.ariano@unito.it>  Wed, 13 Jun 2007 23:50:06 +0200

imagej (1.37m-4) unstable; urgency=low

  * Added possibility to pass extra arguments to java (thanks to Mike Miller).

 -- Paolo Ariano <paolo.ariano@unito.it>  Wed, 10 May 2006 23:48:28 +0200

imagej (1.37m-3) unstable; urgency=low

  * Added lut.

 -- Paolo Ariano <paolo.ariano@unito.it>  Mon, 07 Aug 2006 22:41:53 +0200

imagej (1.37m-2) unstable; urgency=low

  * Added the amount of memory as command line parameter.

 -- Paolo Ariano <paolo.ariano@unito.it>  Mon, 07 Aug 2006 22:41:53 +0200

imagej (1.37m-1) unstable; urgency=low

  * Initial release (Closes: #4526773, #6353442).

 -- Paolo Ariano <paolo.ariano@unito.it>  Fri, 28 Apr 2006 11:41:53 +0200

